#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Editline Library
Summary(pl.UTF-8):	Biblioteka Editline (edytor linii poleceń)
Name:		libedit
Version:	3.1
%define	snap	20130712
Release:	1
Epoch:		0
License:	BSD
Group:		Libraries
Source0:	http://www.thrysoee.dk/editline/%{name}-%{snap}-%{version}.tar.gz
# Source0-md5:	0891336c697362727a1fa7e60c5cb96c
Patch0:		%{name}-man.patch
URL:		http://www.thrysoee.dk/editline/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Port of the NetBSD Editline library (libedit). This Berkeley-style
licensed command line editor library provides generic line editing,
history, and tokenization functions, similar to those found in GNU
Readline.

%description -l pl.UTF-8
Port biblioteki Editline z NetBSD (libedit). Jest to biblioteka
edytora linii poleceń na licencji w stylu BSD udostępniająca
funkcjonalność ogólnego modyfikowania linii, historii oraz tokenizacji
podobną do obecnych w GNU Readline.

%package devel
Summary:	Header files and development documentation for libedit
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja programisty do libedit
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	ncurses-devel
Conflicts:	heimdal-devel <= 0.6.3-1

%description devel
Header files and development documentation for libedit.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja programisty do libedit.

%package static
Summary:	Static libedit library
Summary(pl.UTF-8):	Statyczna biblioteka libedit
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static libedit library.

%description static -l pl.UTF-8
Statyczna biblioteka libedit.

%prep
%setup -q -n %{name}-%{snap}-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
LANG=C; export LANG
LC_ALL=C; export LC_ALL
CPPFLAGS="-I/usr/include/ncurses"
%configure \
	--enable-widec \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static}

%{__make} -C src vi.h emacs.h common.h
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog THANKS
%attr(755,root,root) %{_libdir}/libedit.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libedit.so.0
%{_mandir}/man5/editrc.5*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libedit.so
%{_libdir}/libedit.la
%{_includedir}/editline
%{_includedir}/histedit.h
%{_pkgconfigdir}/libedit.pc
%{_mandir}/man3/editline.3*
%{_mandir}/man3/el_*.3*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libedit.a
%endif
%changelog
* Thu Oct 24 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libedit.git;a=log;h=master

* Thu Oct 24 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 21f6cce
- up to 3.1 20130712

* Mon Nov 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 7d6e819
- up to 20120601

* Tue Jan 03 2012 lisu <lisu@pld-linux.org> 24dc967
- rel 7

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 641df2a
- release 6

* Sun Aug 21 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 682ac05
- up to 20110802

* Mon Aug 01 2011 Jakub Bogusz <qboosh@pld-linux.org> aa8f1c9
- updated autoconf version
- disable silent-rules

* Mon Aug 01 2011 Jan Rękorajski <baggins@pld-linux.org> 9e4f79b
- updated to 20110709

* Mon Aug 01 2011 Jan Rękorajski <baggins@pld-linux.org> 9bf70de
- rel 4, up to 20110709
- enable widechar/UTF-8 support

* Tue Sep 29 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> fccaa42
- rel 3; up to 20090923

* Sun Sep 13 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> ffb53e2
- up to 20090905

* Sun Aug 16 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 28bc40f
- up to 3.0 (20090722)

* Thu Aug 14 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 5b3c202
- up to 2.11

* Wed Jun 11 2008 hawk <hawk@pld-linux.org> b32881a
- release 3

* Wed Jun 04 2008 Jakub Bogusz <qboosh@pld-linux.org> 54a0847
- ghost soname symlink

* Tue Jun 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 5cfe67f
- up to 20070831

* Sun Feb 25 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 1168723
- up to 2.10 20061228

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 369d939
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 64fca64
- converted to UTF-8

* Mon Dec 19 2005 Jakub Bogusz <qboosh@pld-linux.org> ac1c6be
- unified

* Tue Dec 13 2005 Elan Ruusamäe <glen@pld-linux.org> aaf7dcb
- adapterized (avoid macros with /usr/include/{ncurses,freetype}*)

